summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPaul Sherwood <paul.sherwood@codethink.co.uk>2016-10-30 10:01:01 +0000
committerPaul Sherwood <paul.sherwood@codethink.co.uk>2016-10-30 11:08:12 +0000
commit24058fa573af840abb087266835c71c0b4651c27 (patch)
tree3eb2f0c4d81a179068336a84ae82515075aa31a0
parenta5402984622c2d3ef70d70c0ae77888565106339 (diff)
downloadybd-24058fa573af840abb087266835c71c0b4651c27.tar.gz
Check each pip install
-rwxr-xr-xinstall_dependencies.sh21
1 files changed, 18 insertions, 3 deletions
diff --git a/install_dependencies.sh b/install_dependencies.sh
index 8173264..fcd3a42 100755
--- a/install_dependencies.sh
+++ b/install_dependencies.sh
@@ -86,6 +86,21 @@ if [ $? -ne 0 ]; then
$SUDO rm get-pip.py
fi
-$SUDO pip install fs pyyaml sandboxlib requests
-$SUDO pip install jsonschema bottle cherrypy riemann-client
-$SUDO pip install pep8
+while read module
+do
+ $SUDO pip install $module
+ if [ $? -ne 0 ]; then
+ echo "Pip install failed for" $module
+ exit 1
+ fi
+done <<EOM
+pep8
+fs
+pyyaml
+sandboxlib
+requests
+jsonschema
+bottle
+cherrypy
+riemann-client
+EOM